Bug 1269440 - Fix off by one sector data corruption error in GParted < 0.21.0
Fix off by one sector data corruption error in GParted < 0.21.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://bugzilla.gnome.org/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 07:18 EDT by Mike Fleetwood
Modified: 2016-08-31 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: gparted-0.20.0-2.fc21 gparted-0.19.1-4.el6 gparted-0.19.1-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:21:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 742920 None None None Never

  None (edit)
Description Mike Fleetwood 2015-10-07 07:18:45 EDT
Hi,

Sorry for this very late report.  GParted before version 0.21.0 suffered
from an off by one sector error when moving and copying partitions which
corrupts data, although nobody seems to be noticing the impact.

Affects:
    Fedora 21    (GParted 0.20.0)
    EL 6         (GParted 0.19.1)
    EPEL 7       (GParted 0.19.1)
Does not affect:
    Fedora 22    (GParted 0.23.0)
    Fedora 23    (GParted 0.23.0)

Recommend upgrading to the latest GParted 0.23.0.  However just applying
a patch will fix it too.

Thanks,
Mike Fleetwood (GParted Developer)


Upstream bug report:
GNOME Bug 742920 - GParted internal copy is overstepping partition
                   boundaries
https://bugzilla.gnome.org/show_bug.cgi?id=742920

Upstream commit:
Fix off by one sector error in GParted internal block copy (#742920)
https://git.gnome.org/browse/gparted/commit/?id=8a952cd4a9fea6d395c05f46d075aaf368011653
Comment 1 Mukundan Ragavan 2015-10-07 20:55:38 EDT
Thanks for the report Mike. I will fix and update this tomorrow evening (after work).
Comment 2 Fedora Update System 2015-10-08 21:29:38 EDT
gparted-0.20.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8e53ce29c5
Comment 3 Fedora Update System 2015-10-08 21:29:43 EDT
gparted-0.19.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d2739dc541
Comment 4 Mukundan Ragavan 2015-10-08 21:31:37 EDT
Also submitted EPEL7 update.
Comment 5 Fedora Update System 2015-10-09 08:51:13 EDT
gparted-0.20.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gparted'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8e53ce29c5
Comment 6 Fedora Update System 2015-10-09 18:53:38 EDT
gparted-0.19.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update gparted'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e94bc96d1b
Comment 7 Fedora Update System 2015-10-11 01:50:52 EDT
gparted-0.19.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update gparted'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d2739dc541
Comment 8 Fedora Update System 2015-10-23 12:21:01 EDT
gparted-0.20.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-08-31 15:18:07 EDT
gparted-0.19.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-08-31 15:19:42 EDT
gparted-0.19.1-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.